HomeFreeBSD

Fix mac_veriexec version mismatch

Description

Fix mac_veriexec version mismatch

mac_veriexec sets its version to 1, but the mac_veriexec_shaX modules which depend on it expect MAC_VERIEXEC_VERSION = 2.
Be consistent and use MAC_VERIEXEC_VERSION everywhere.
This unbreaks loading of mac_veriexec modules at boot time.

Authored by: Kornel Duleba <mindal@semihalf.com>
Obtained from: Semihalf
Sponsored by: Stormshield
Differential Revision: https://reviews.freebsd.org/D31268

Details

Provenance
wmaAuthored on Jul 29 2021, 9:02 AM
Differential Revision
D31268: Fix mac_veriexec version mismatch
Parents
R10:2d6d5f88d16f: Add missing arm64 ID registers
Branches
Unknown
Tags
Unknown